from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XView(XInterface, Protocol):
    def setGraphics(self, aDevice: XGraphics) -> bool: ...
    def getGraphics(self) -> XGraphics: ...
    def getSize(self) -> Size: ...
    def draw(self, nX: int, nY: int) -> None: ...
    def setZoom(self, fZoomX: float, fZoomY: float) -> None: ...
